if(isFile("Config/Client/filterChat/ID.cs"))
{
	exec("Config/Client/filterChat/ID.cs");
}

exec("Add-Ons/Client_filterChat/clientChat.gui");
package filterChat
{
	function clientCmdChatMessage(%client,%b,%c,%taggedString,%preTag,%name,%postTag,%msg)
	{
		%row = NPL_List.getRowTextById(%client);
		%blid = getField(%row, 3);
		if($FilterChat::ID[%blid])
		{
			if(FilterChat_Text.getText() $= "")
			{
				FilterChat_Text.setText("  " @ %name @ ": " @ %msg);
			}
			else
			{
				FilterChat_Text.setText(FilterChat_Text.getText() NL "  " @ %name @ ": " @ %msg);
			}
		}
		else
		{
			Parent::clientCmdChatMessage(%client,%b,%c,%taggedString,%preTag,%name,%postTag,%msg);
		}
	}
};
activatePackage(filterChat);

function FilterChat_filterID(%id)
{
	FilterChat_List.addRow(%id,%id);
	export("$FilterChat::*","Config/Client/filterChat/ID.cs");
	$FilterChat::ID[%id] = 1;
}

function FilterChat_unfilterID(%id)
{
	FilterChat_List.removeRowByID(%id);
	$FilterChat::ID[%id] = "";
	export("$FilterChat::*","Config/Client/filterChat/ID.cs");
}

function openClientChat()
{
	canvas.pushDialog(clientChat);
}

if(!$FilterChatBinds)
{
	$remapDivision[$remapCount] = "Filter Chat";
	$remapName[$remapCount] = "Open Chat Gui";
	$remapCmd[$RemapCount] = "OpenClientChat";
	$remapCount++;
	$FilterChatBinds = 1;
}
if(!$FilterChatReload && isFile("Config/Client/filterChat/ID.cs"))
{
	%FO = newFileObject();
	%FO.openForRead("Config/Client/filterChat/ID.cs");
	while(!%FO.isEOF())
	{
		%Line = %FO.readLine();
		if(getWord(%Line,0) !$= "$FilterChat::Num")
		{
			%word = getWord(%Line,0);
			%id = getSubStr(%word,15,strLen(%word));
			FilterChat_filterID(%id);
		}
	}
	%FO.close();
	%FO.delete();
}